#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX 100

void greska(char s[]){
	//opisacemo svaku gresku, na ispitu je praksa da bude -1
	printf("Doslo je do greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int binarna_pretraga(char x[], char niz[][21], int l, int d){
	if(l > d)
		return -1;
	
	int s = (l + d) / 2;
	
	int poredjenje = strcmp(x, niz[s]);
	if(poredjenje == 0)
		return s;
	else if(poredjenje < 0)
		return binarna_pretraga(x, niz, l, s - 1);
	else
		return binarna_pretraga(x, niz, s + 1, d);
}

int main(){
	char niz[MAX][21];
	int n;
	
	//treba nam kljuc pretrage
	char x[21];
	
	printf("Unesite broj el. niza\n");
	scanf("%d", &n);
	
	if(n < 0 || n > MAX)
		greska("nije dobra dimenzija niza");
	
	int i;
	for(i = 0; i < n; i++){
		scanf("%s", niz[i]);
	}
	
	printf("Unesite kljuc pretrage\n");
	scanf("%s", x);
	
	i = binarna_pretraga(x, niz, 0, n-1);
	if(i == -1)
		printf("Nije pronadjen\n");
	else
		printf("Pronadjen na indeksu %d\n", i);
}