#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define MAX 1000
typedef struct _student{
	char prezime[100];
	float prosek;
}student;

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int poredi(const void *a, const void *b){
	char *kljuc = (char*)a;
	student s = *((student*)b);
	return strcmp(kljuc, s.prezime);
	
	//return strcmp((char*)a, ((student*)b)->prezime);
}

int main(){
	student niz[MAX];
	FILE *f = fopen("studenti.txt", "r");
	if(f == NULL)
		greska();
	
	char t_prezime[100];
	float t_prosek;
	int n = 0;
	while(fscanf(f, "%s%f", t_prezime, &t_prosek) == 2){
		niz[n].prosek = t_prosek;
		strcpy(niz[n].prezime, t_prezime);
		n++;
		if(n > MAX)
			greska();
	}
	
	fclose(f);
	
	char x[100];
	printf("Unesite prezime za pretragu\n");
	scanf("%s", x);
	student* rez = bsearch(x, niz, n, sizeof(student), poredi);
	
	if(rez == NULL)
		printf("Nije pronadjen\n");
	else
		printf("Pronadjen je %s, %.2f\n", rez->prezime, rez->prosek);
}