#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX 100

void greska(char s[]){
	//opisacemo svaku gresku, na ispitu je praksa da bude -1
	printf("Doslo je do greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int poredi(const void *a, const void *b){
	char *kljuc = (char*)a;
	
	char *element = (char*)b;
	return strcmp(kljuc, element);
}

int main(){
	char niz[MAX][21];
	int n;
	
	//treba nam kljuc pretrage
	char x[21];
	
	printf("Unesite broj el. niza\n");
	scanf("%d", &n);
	
	if(n < 0 || n > MAX)
		greska("nije dobra dimenzija niza");
	
	int i;
	for(i = 0; i < n; i++){
		scanf("%s", niz[i]);
	}
	
	printf("Unesite kljuc pretrage\n");
	scanf("%s", x);
	
	int adr = (int)bsearch(x, niz, n, 21, poredi);
	
	if(adr == 0)
		printf("Nije pronadjen\n");
	else
		printf("Pronadjen na indeksu %d\n", (adr - (int)niz)/21);
}