#include <stdio.h>
#include <stdlib.h>

double nula_funkcije(double l, double d, double eps, double funkcija(double x)){
	if(d - l < eps)
		return (l + d) / 2;
	
	double s = (l + d) / 2;
	double vl = funkcija(l);
	double vd = funkcija(d);
	double vs = funkcija(s);
	
	if(vl * vs <= 0)
		return nula_funkcije(l, s, eps, funkcija);
	else 
		return nula_funkcije(s, d, eps, funkcija);
}

double f1(double x){
	return -(x * x) + 2;
}

double f2(double x){
	return -(x*x) + 3;
}

int main(){
	printf("koren iz 2 je: %.5lf\n", nula_funkcije(1, 2, 0.1, f1));
	printf("koren iz 2 je: %.5lf\n", nula_funkcije(1, 2, 0.01, f1));
	printf("koren iz 2 je: %.5lf\n", nula_funkcije(1, 2, 0.001, f1));
	printf("koren iz 2 je: %.5lf\n", nula_funkcije(1, 2, 0.000001, f1));
	
	printf("koren iz 3 je: %.5lf\n", nula_funkcije(1, 2, 0.000001, f2));
}