#include <stdio.h>
#include <stdlib.h>

double nula_funkcije(double l, double d, double eps,
	double f(double)){
	
	if(d - l < eps)
		return (l + d) / 2;
	
	double s = (l + d) / 2;
	
	if(f(s) * f(l) <= 0)
		return nula_funkcije(l, s, eps, f);
	else
		return nula_funkcije(s, d, eps, f);
}

double f_koren_iz_2(double x){
	return x * x - 2;
}

double f_koren_iz_3(double x){
	return x * x - 3;
}

int main(){
	printf("koren iz 2 na 5 decimala je %.5f\n", 
		nula_funkcije(1, 2, 0.00001, f_koren_iz_2));
	printf("koren iz 2 na 4 decimale je %.5f\n", 
		nula_funkcije(1, 2, 0.0001, f_koren_iz_2));
	printf("koren iz 2 na 3 decimale je %.5f\n", 
		nula_funkcije(1, 2, 0.001, f_koren_iz_2));
	printf("koren iz 2 na 2 decimale je %.5f\n", 
		nula_funkcije(1, 2, 0.01, f_koren_iz_2));
	printf("koren iz 2 na 1 decimalU je %.5f\n", 
		nula_funkcije(1, 2, 0.1, f_koren_iz_2));
		
	printf("koren iz 3 na 5 decimala je %.5f\n", 
		nula_funkcije(1, 2, 0.00001, f_koren_iz_3));
}